"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index_esm = require("../../../@vxe-ui/core/es/index.esm.js");
const noticeBar = require("./src/notice-bar.js");
const index = require("../dynamics/index.js");
const VxeNoticeBar = Object.assign({}, noticeBar.default, {
  install(app) {
    app.component(noticeBar.default.name, noticeBar.default);
  }
});
index.dynamicApp.use(VxeNoticeBar);
index_esm.VxeUI.component(noticeBar.default);
const NoticeBar = VxeNoticeBar;
exports.NoticeBar = NoticeBar;
exports.VxeNoticeBar = VxeNoticeBar;
exports.default = VxeNoticeBar;
